Loading...
Searching...
No Matches
row_access.h File Reference

Contains the Gudhi::persistence_matrix::Row_access class and Gudhi::persistence_matrix::Dummy_row_access structure. More...

Go to the source code of this file.

## Classes

struct | Gudhi::persistence_matrix::Dummy_row_access
| Empty structure. Inherited instead of Row_access, if the row access is not enabled. More...
class | Gudhi::persistence_matrix::Row_access< Master_matrix >
| Class managing the row access for the columns. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Row_access class and Gudhi::persistence_matrix::Dummy_row_access structure.

Author
  Hannah Schreiber